scrub-files(1)

NAME
scrub-files - securely erase files by filling with random data first.

SYNOPSIS
scrub [options] paths...

DESCRIPTION
This command is used to securely erase files. This is accomplished by filling the file with random data in pre-sized chunks. Multiple passes of random data may also be used. The pre-sized chunks are used to remove information about exact original file size. Other options include random renaming of the original file before deletion and the use of truncation to break down meta-data on what blocks in the file system were originally associated with a securely deleted file. This is specifically intended to make it harder to perform forensic analysis on securely erased files.

OPTIONS

--blocksize size
    Set the default block size (in 1 k increments) for scrub-files to use when writing random data. This effects both the final file length, which will be aligned to the specified size, and the way the truncate option decomposes files. The default is 1k.

--follow
    Dereference and follow symlinks, erasing the target file.

--passes=count
    The number of passes used when writing random data. The default is 1 pass.

--recursive
    If argument is a directory, recursively scan directory and any subdirectory contents as arguments.

--rename
    Rename the file randomly before deletion to clear persistent inode data.

--truncate
    Decompose the file through truncation to break down file system page maps.

--verbose
    Display each file being processed to the console.

--help
    Outputs help screen for the user.

AUTHOR
scrub-files was written by David Sugar <dyfet@gnutelephony.org>.

REPORTING BUGS
Report bugs to bug-commoncpp@gnu.org or bugs@gnutelephony.org.

COPYRIGHT
Copyright © 2010-2014 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.